#! /bin/sh
#
# skeleton	example file to build /etc/init.d/ scripts.
#		This file should be used to construct scripts for /etc/init.d.
#
#		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
#		Modified for Debian GNU/Linux
#		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
#
# Version:	@(#)skeleton  1.8  03-Mar-1998  miquels@cistron.nl
#
# This file was automatically customized by dh-make on Sat, 31 Jul 2004 15:19:45 +0200

PATH=/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=
INSMOD=/sbin/insmod
RMMOD=/sbin/rmmod
MODULE=/etc/sid/sidkl26x86.ko
SMODULE=`echo $MODULE | sed -e 's!^.*/\([^/]*\)$!\1!' | sed -e 's/\.ko$//'`
NAME=sidk
DESC=sidk

test -f $DAEMON || exit 0

set -e

case "$1" in
  start)
	echo -n "Starting $DESC: "
	$INSMOD $MODULE t_sys_call_table=0x`awk '/sys_call_table/ { print $1 }' /boot/System.map-\`uname -r\`` && echo "$NAME." || echo "$NAME failed!"
	;;
  stop)
	echo -n "Stopping $DESC: "
	$RMMOD $SMODULE && echo "$NAME." || echo "$NAME failed!"
	;;
  restart|force-reload)
	#
	#	If the "reload" option is implemented, move the "force-reload"
	#	option to the "reload" entry above. If not, "force-reload" is
	#	just the same as "restart".
	#
	$0 stop
	sleep 1
	$0 start
	;;
  *)
	N=/etc/init.d/$NAME
	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
	echo "Usage: $N {start|stop|restart|force-reload}" >&2
	exit 1
	;;
esac

exit 0
